<?php

$sloupce = 6;

$title = array(
  "A: Muž a jeho zaměstnání",
  "B: Žena a její zaměstnání",
  "C: Antropomorfní božstva",
  "D: Části lidského těla",
  "E: Savci",
  "F: Části savců",
  "G: Ptáci",
  "H: Části ptáků",
  "I: Obojživelníci, plazi, atd.",
  "K: Ryby a jejich části",
  "L: Bezobratlí a menší živočichové",
  "M: Stromy a rostliny",
  "N: Nebe, země, voda",
  "O: Budovy, jejich části, atd.",
  "P: Lodě a jejich části",
  "Q: Domácí a pohřební nábytek",
  "R: Chrámový nábytek a posvátné emblémy",
  "S: Koruny, oblečení, hole, atd.",
  "T: Válečnictví, lovectví, řeznictví, atd.",
  "U: Zemědělství, řemesla a profese",
  "V: Lana, vlákna, koše, tašky, atd.",
  "W: Kamenné nádoby a hrnčířské zboží",
  "X: Bochníky a koláče",
  "Y: Spisy, hry, hudba",
  "Z: Čáry",
  "Aa: Nezařazeno (též označováno jako J)"
);

function remove_array_empty_values($array, $remove_null_number = true)
{
	$new_array = array();

	$null_exceptions = array();

	foreach ($array as $key => $value)
	{
		$value = trim($value);

        if($remove_null_number)
		{
	        $null_exceptions[] = '0';
		}

        if(!in_array($value, $null_exceptions) && $value != "")
		{
            $new_array[] = $value;
        }
    }
    return $new_array;
}


$handle = fopen("gardiner.txt", "r");

$line = array();

if ($handle) {
    while (($buffer = fgets($handle, 4096)) !== false) {
        $line[] = $buffer;
    }
    if (!feof($handle)) {
        $out.=  "Error: unexpected fgets() fail\n";
    }
    fclose($handle);
}

$line = remove_array_empty_values($line);

$i = 0;
$t = 0;

$out = "";

foreach($line as $value)
{
  if($t == 0 && $i == 0)
  {
    $out.=  "<h2>".$title[$t]."</h2>\n";
    $out.=  "<table border='1'>\n";
    $t++;
  }
  if($value == '###') {
    for($x = 0; $x <= ($sloupce-$i)-1; $x++)
    {
      $out.=  "  <td>&nbsp;</td>\n";
    }
    $out.=  "</tr>";
    $out.=  "</table>\n";
    $out.=  "<h2>".$title[$t]."</h2>\n";
    $out.=  "<table border='1'>\n";
    $i = 0;
    $t++;
  }
  else {
  if($i == $sloupce || $i == 0) {
    $i = 0;
    $out.=  " <tr>\n";
  }
  
  $out.=  "  <td><img src='/wp-content/plugins/wp-hiero/images/hiero_".$value.".png' alt='".$value."' /><br /> ".$value."</td>\n";
  
  if($i == $sloupce-1) {
    $out.=  " </tr>\n";
  }
  $i++;
  
  }  
}
$out.=  "</table>\n";

$filename = 'gardiner.dat';

// Let's make sure the file exists and is writable first.

    if (!$handle = fopen($filename, 'w+')) {
         echo "Cannot open file ($filename)";
         exit;
    }

    // Write $somecontent to our opened file.
    if (fwrite($handle, $out) === FALSE) {
        echo "Cannot write to file ($filename)";
        exit;
    }

    echo "Success, wrote ($somecontent) to file ($filename)";

    fclose($handle);


?>
