<?php
$path = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
$dir = WP_PLUGIN_DIR.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));


define("WH_TABLE_S",      "<table class='hiero-table'>");
define("WH_TABLE_E",      "</table>");
define("WH_TD_S",         "<td>");
define("WH_TD_E",         "</td>");

define("WH_MODE_DEFAULT", -1);    // use default mode
define("WH_MODE_TEXT",     0);    // text only
define("WH_MODE_HTML",     1);    // HTML without CSS
define("WH_MODE_STYLE",    2);    // HTML and CSS // not supporter
define("WH_MODE_IMAGE",    3);    // picture (PNG) // not supporter
define("WH_MODE_RAW",      4);    // MdC test as it

define("WH_TYPE_NONE",     0);
define("WH_TYPE_GLYPH",    1);    // rendered items
define("WH_TYPE_CODE",     2);    // single code as ':', '*', '!', '(' or ')'
define("WH_TYPE_SPECIAL",  3);    // advanced code (more than 1 caracter)
define("WH_TYPE_END",      4);    // end of line '!'

define("WH_SCALE_DEFAULT", -1);   // use default scale
define("WH_HEIGHT",        44);
define("WH_IMG_MARGIN",    1);    // default value
define("WH_CARTOUCHE_WIDTH", 2);  // default value

define("WH_VER_MAJ",       0);
define("WH_VER_MED",       2);
define("WH_VER_MIN",       14);


define("WH_IMG_DIR",       $path.'images/' ); //"img/"); //
define("WH_IMG_PRE",       "hiero_");
define("WH_IMG_EXT",       "png");

define("WH_DEBUG_MODE",    false);
?>
